[maemo-developers] The issue of version strings

From: Aniello Del Sorbo anidel at gmail.com
Date: Fri Nov 6 16:05:25 EET 2009
2009/11/6 Jeremiah Foster <jeremiah at jeremiahfoster.com>:
> On Nov 6, 2009, at 1:18, Aniello Del Sorbo wrote:
>> 2009/10/31 Jeremiah Foster <jeremiah at jeremiahfoster.com>:
>>> Good points, but Ryan's original point is still valid and these
>>> issues
>>> also affect any place you have to use version numbers, not just the
>>> Application Manager. The string that Niels posted could be shortened
>>> to: 2.0.0-6maemo1
>>> This leaves you with the version number of the upstream source, the
>>> version of upstream packaging, and the maemo packaged version. Here
>>> you have all the trackability you need with simplicity. I think the
>>> original request is a good one and developers/maintainers ought to
>>> consider revising their version strings for clarity.
>> Few people complained that Xournal was too long.
>> I will make a diablo version as well (
>> It's not my fault if Fremantle is a long name :P
>> Anyway, suggestions?
>> Bear in mind that is now in Extras, changing it
>> will make it a new package?
> I think your version string is excellent, I wouldn't change a thing!
> You could, if you wanted, truncate the distro name into three letters;
> But that is up to you.
> Jeremiah

Thanks, I'm at 4c now.. a bit more I can buy an ice cream :)
Anyway.. for the time being I'll leave it as it is.

Thanks ! :)

Sent from London, Eng, United Kingdom
More information about the maemo-developers mailing list